SITETB - Feature #200

Etiqueta automatica 7
10/11/2012 06:49 PM - Jorge Luiz da Rocha

Status: Closed Start date: 10/11/2012
Priority: Urgent Due date:

Assignee: Jorge Luiz da Rocha % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Verséo atual Spent time: 0.00 hour
Componente: Casos

Description

Titulo: Auséncia de cultura de acompanhamento (7 ao 122 més)
Casos de TBDR com forma pulmonar ou ambas e cultura de diagndstico positiva que ndo tenham registro de culturas de
acompanhamento do 72 ao 122 més.

History

#1 - 10/23/2012 03:36 PM - Mauricio Dos Santos
- Tracker changed from Melhoria to Feature
- Status changed from New to Feedback

- Assignee changed from Mauricio Dos Santos to Jorge Luiz da Rocha

Conversamos no dia 24/10 sobre.

#2 - 10/30/2012 10:11 AM - Mauricio Dos Santos

Feito, jorge pediu para considerar apenas casos em tratamento..

exists(select *

from tbcase ¢

inner join examculture ec on ec.case_id = c.id

where c.state in (1,2)

and c.classification in (1)

and c.infectionSite in (0,2)

and c.id in (select ca.id

from tbcase ca

inner join examculture ecu on ecu.case_id = ca.id
where ecu.datecollected = (select min(datecollected) from examculture where case_id = ca.id)
and ecu.resultin (1,2,3,4))

and c.id not in (select ca.id

from tbcase ca

inner join examculture ecu on ecu.case_id = ca.id
where ecu.datecollected > (ca.iniTreatmentDate+181)
and ecu.datecollected < (ca.iniTreatmentDate+360))
and c.id = a.id)

05/06/2025

1/2




#3 - 12/05/2012 09:24 AM - Mauricio Dos Santos
- Status changed from Feedback to Closed

#4 - 02/07/2013 05:12 PM - Mauricio Dos Santos

- Status changed from Closed to In Progress

classification in (1)

and a.state in (1,2)

and a.infectionSite in (0,2)

and exists (select *

from examculture ec

where ec.case_id = a.id

and ec.dateCollected = (select min(dateCollected) from examculture ec2 where ec2.case_id = ec.case_id)
and ec.resultin (1,2,3,4,5))

and not exists(select *

from examculture ecu

where ecu.case_id = a.id

and ecu.datecollected > (DATE_ADD(a.iniTreatmentDate, INTERVAL 181 DAY))
and ecu.datecollected < (DATE_ADD(a.iniTreatmentDate, INTERVAL 360 DAY)))

#5 - 02/07/2013 06:02 PM - Mauricio Dos Santos

- Status changed from In Progress to Closed
